## sugar-hulahop 0.7.1

=== debian/changelog ===
sugar-hulahop (0.7.1-3) unstable; urgency=low

  * Bump Policy compliance to standards-version to 3.9.0.
  * Release for unstable (until march 2010 building failed due to some
    python-xpcom problem, but apparently that's fixed now. If
    backporting fails then please file bugreports to help locate the
    minimum required version of python-xpcom).
  * Suppress lintian error regarding rpath: Upstream aware of the
    problem but solution (switch to webkit) not yet ready.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2010 13:09:26 +0200

sugar-hulahop (0.7.1-2) UNRELEASED; urgency=low

  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)". Drop currently unused patches dir as well.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-all-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust some years.
  * Bump standards-version to 3.8.4.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 22:17:15 +0200

sugar-hulahop (0.7.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Bump years in debian/copyright.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Dec 2009 16:35:20 +0100

sugar-hulahop (0.6.0-2) unstable; urgency=medium

  * Tighten dependency on python-xpcom to current upstream version.
  * Set urgency=medium as python-hulahop 0.6.0-1 currently in testing
    will break when xulrunner 1.9.1 enters testing.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Oct 2009 05:40:33 +0200

sugar-hulahop (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2009 13:36:41 +0200

sugar-hulahop (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 15:27:26 +0200

sugar-hulahop (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Update OLPC relation (now historic) in long description.
  * Drop patch 1001 obsoleted by improved LIBXUL_DIR resolving upstream.
  * Stop regenerating autotools (newer libtool with AM_MAINTAINER_MODE
    enabled shipped upstream). Drop build-depencies on libtool,
    automake1.10 and autoconf.
  * Set Debian as vendor in prefs.js and install as conffile.
  * Update debian/copyright: Use DEB5 rev54 format, update/fix libtool
    licensing (no new owners or licenses).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 00:30:21 +0200

sugar-hulahop (0.4.9-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 0001 included upstream
  * Regenerate autotools (shipped libtool seemingly broken), and drop
    patch 2001.
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to buildinfo.mk and copyright-check.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Handle binary (not only source) dependencies in rules file.
  * Update debian/copyright:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Add/update authors of files below debian/* (no new licenses)
    + Merge copyright entries with only differing years.
  * Bump policy compliance to Standards-Version 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 May 2009 10:01:09 +0200

sugar-hulahop (0.4.8~dfsg-3) unstable; urgency=low

  * Add patches 1001 and 2001 to fix hardcoded libxul path. Closes:
    bug#507850.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Dec 2008 17:19:51 +0100

sugar-hulahop (0.4.8~dfsg-2) unstable; urgency=low

  * Add patch 0001 to fix pointer conversion. This closes: bug#505459,
    thanks to dann frazier.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2008 17:56:13 +0100

sugar-hulahop (0.4.8~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Fixes implicit pointer conversion. Closes: bug#505459, thanks to
      dann frazier for reporting, and Morgan Collett for fixing.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2008 02:45:12 +0100

sugar-hulahop (0.4.7~dfsg-1) unstable; urgency=low

  * New upstream version
  * Repackage source, stripping debian subdir and files python/config.py
    and python/hulahop.c.
  * Update CDBS snippet copyright-check.mk: Compact simple licenses
    (those without ' or later').
  * Update CDBS snippet makefile.mk: Cleanup check stamp dir for
    flavored builds. Fixing failure to build twice in a row.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Nov 2008 22:32:55 +0100

sugar-hulahop (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Depend on ${misc:Depends}.
  * Update cdbs snippets:
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Minor improvements to flavor-enhanced autotools- and makefile-
      snippets.
    + Update README.cdbs-tweaks.
    + Fix python-autotools.mk to run dh_py* scripts before
      dh_installinit.  See bug#494288.
    + Fix makefile.mk to create check stamp dir for flavored builds.

