## sugar-hulahop 0.8.1

=== debian/changelog ===
sugar-hulahop (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Lower Priority to extra to match python-xpcom.
  * Fix typo intregral → integral in long description.
  * Update copyright file:
    + Extend copyright years of GNU autotools.
    + Update format to draft 174 of DEP5.
    + Use ~ in license names to indicate variations.
    + Shorten License comments.
    + Refer to versioned licenses in License comments.
    + Quote licenses in License comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Switch to new default python2 packaging helper.
  * Drop unneeded explicit linkage flag.
  * Add patch 2001 to revert recent change to pyxpcom include file path.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Jul 2011 01:27:23 +0200

sugar-hulahop (0.7.1-4) unstable; urgency=low

  * Bump Policy compliance to standards-version 3.9.1.
  * Shorten Vcs-* stanzas.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Append _DEFAULT to deprecated CDBS variables in rules file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 15:05:32 +0200
