=== debian/control ===
Source: sugar-hulahop
Section: python
Priority: extra
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 devscripts (>= 2.10.7~),
 python (>= 2.6.5),
 cdbs (>= 0.4.90~),
 python-all-dev,
 debhelper (>= 6),
 dh-buildinfo,
 python-xpcom (>= 1.9~rc2),
 xulrunner-dev (>= 1.9~rc2),
 python-gtk2-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-hulahop
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-hulahop.git
Homepage: http://wiki.sugarlabs.org/go/Sugar

Package: python-hulahop
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, ${cdbs:Depends}
Suggests: ${cdbs:Suggests}
Provides: ${python:Provides}
Description: Sugar graphical shell - gecko-based web engine
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-ressource desktop
 environment for kids.
 .
 This package contains the Hulahop web rendering engine based on Gecko
 and PyXPCom.
