=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 # 02111-1307 USA.
 
 DEB_BUILDDIR = build
-DEB_PYTHON_SYSTEM = pycentral
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/python-autotools.mk
@@ -28,12 +27,9 @@
 DEB_UPSTREAM_PACKAGE = hulahop
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/glucose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = e616e18c86dc3286a00550fa09e687eb
+DEB_UPSTREAM_TARBALL_MD5 = 79292e178cb9052f0eff52bc8aa9e879
 
 pkg = python-hulahop
-
-# Needed to locate xulrunner
-LDFLAGS += -L/usr/lib/xulrunner-1.9
 
 # Woraround for type punning causing "size of array 'arg' is negative"
 CXXFLAGS += -fno-strict-aliasing
@@ -58,5 +54,5 @@
 CDBS_BUILD_DEPENDS += , python-xpcom (>= $(python-xpcom-minver)), xulrunner-dev (>= $(python-xpcom-minver)), python-gtk2-dev
 
 # Needed (always/seldom) at runtime
-CDBS_DEPENDS = python-xpcom (>= $(python-xpcom-curver)), python-gtk2, python-gobject
-CDBS_SUGGESTS = sugar-web-activity
+CDBS_DEPENDS_DEFAULT = python-xpcom (>= $(python-xpcom-curver)), python-gtk2, python-gobject
+CDBS_SUGGESTS_DEFAULT = sugar-web-activity
